<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Ejemplos DOM</title>
</head>
<body>
    <div>
        <form >
            <input id="nombre" type="text" value="mundo">
            <button type="button" class="saludar">Saluda</button>
            <output></output>
        </form>
    </div>
    <script>
        function saludar(ev) {
            const entrada = document.querySelector('#nombre');
            const salida = document.querySelector('output');
            salida.innerHTML  = 'Hola ' + entrada.value;
            btn.textContent = 'Despide';
            btn.removeEventListener('click', saludar);
            btn.addEventListener('click', despedir);

        }
        function despedir(ev) {
            const entrada = document.querySelector('#nombre');
            const salida = document.querySelector('output');
            salida.innerHTML  = 'Adiós ' + entrada.value;
            btn.textContent = 'Saluda';
            btn.removeEventListener('click', despedir);
            btn.addEventListener('click', saludar);
        }
        const btn = document.querySelector('.saludar');
        btn.addEventListener('click', saludar);
        document.addEventListener('click', (ev) => console.log(ev,'pulsa el botón en (' + ev.clientX + ' ,' + ev.clientY + ')'));
    </script>
    
</body>
</html>